# $Revision: 1.19 $, $Date: 2009/12/01 15:23:05 $
%define		file_version	%(echo %{version} | tr -d .)
Summary:	SDL fork of MAME
Summary(pl.UTF-8):	Emulator MAME napisany w SDL
Name:		sdlmame
Version:	0.135u2
Release:	1
License:	Distributable
Group:		X11/Applications/Games
Source0:	http://rbelmont.mameworld.info/%{name}%{file_version}.zip
# Source0-md5:	1c3d3729d29b6fae536b47421743a358
Patch0:		%{name}-cflags.patch
Patch1:		%{name}-duplicate_options.patch
URL:		http://rbelmont.mameworld.info
BuildRequires:	GConf2-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	zlib-devel
Suggests:	gmameui
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SDLMAME is meant to be a replacement for the MIA xmame but has no
connection with it otherwise. It has been separately developed from
base MAME, the popular Multiple Arcade Machine Emulator that supports
hundreds of machine chipsets with thousands of games from back in the
70s till today.

%description -l pl.UTF-8
SDLMAME ma być zastąpieniem dla MIA xmame, jednak nie ma z nim nic
wspólnego. Był on rozwijany odzielnie bazując na oryginalnym
emulatorze MAME, wspierającym setki układów komputerowych z tysiącami
gier od lat 70-tych po dziś dzień.

%prep
%setup -q -n %{name}%{file_version}
%patch0 -p1
%patch1 -p1

%{__sed} -i 's/NAME = $(TARGET)/NAME = %{name}/' makefile

%build
%{__make} \
%ifarch %{x8664}
	PTR64=1 \
%endif
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install sdlmame $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc SDLMAME.txt docs/* whatsnew.txt
%attr(755,root,root) %{_bindir}/sdlmame

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sdlmame.spec,v $
Revision 1.19  2009/12/01 15:23:05  lisu
- 0.135u2

Revision 1.18  2009/11/25 13:43:07  lisu
- ip to 0.135u1

Revision 1.17  2009/11/15 00:59:56  zbyniu
- BR: OpenGL-GLU-devel

Revision 1.16  2009/11/03 12:02:57  lisu
- up to 0.135

Revision 1.15  2009/10/26 15:58:06  lisu
- x86_64 build is fixed (remove TODO)
- rel 2

Revision 1.14  2009/10/26 15:10:38  lisu
- S: gmameui

Revision 1.13  2009/10/17 09:49:50  lkrotowski
- fixed x86_64 build

Revision 1.12  2009/10/14 11:02:04  lisu
- up to 0.134u3
- BR: GConf2-devel

Revision 1.11  2009/10/07 12:07:20  lisu
- updated 0.134u2
- drop duplicated flags (-duplicate_options.patch)

Revision 1.10  2009/09/29 12:50:34  lisu
- remove usless sed

Revision 1.9  2009/09/29 12:50:03  lisu
- up to 0.134u1

Revision 1.8  2009/09/11 08:55:00  lisu
- up to 0.134

Revision 1.7  2009/09/04 11:59:14  lisu
- TODO

Revision 1.6  2009/08/31 12:44:31  lisu
- sorted BRs

Revision 1.5  2009/08/31 12:44:15  lisu
- up to 0.133u4

Revision 1.4  2009/08/25 06:59:24  lisu
- drop -Werror

Revision 1.3  2009/08/24 11:41:40  lisu
- up to 0.133u3
- BRs: pkgconfig, SDL-devel, gtk+2-devel
- rename binary file to sdlmame

Revision 1.2  2009/08/19 09:20:46  lisu
- up to 0.133u2
- TODO

Revision 1.1  2009/08/12 12:15:02  lisu
- initial PLD release

